/*---------------------------------------------------------------------------*\

    FILE....: TPIP.CPP
    TYPE....: C++ program
    AUTHOR..: David Rowe
    DATE....: 5/8/01

    Test program for the VPB8L pip feature.

\*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*\

         Voicetronix Voice Processing Board (VPB) Software

         Copyright (C) 1999-2001 Voicetronix www.voicetronix.com.au

         This library is free software; you can redistribute it and/or
         modify it under the terms of the GNU Lesser General Public
         License as published by the Free Software Foundation; either
         version 2.1 of the License, or (at your option) any later version.

         This library is distributed in the hope that it will be useful,
         but WITHOUT ANY WARRANTY; without even the implied warranty of
         MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
         Lesser General Public License for more details.

         You should have received a copy of the GNU Lesser General Public
         License along with this library; if not, write to the Free Software
         Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
	 USA

\*---------------------------------------------------------------------------*/

#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include "../src/vpbapi.h"

int kbhit();

int main(int argc, char *argv[])
{
  int      h;
  VPB_PIP pip;

  h = vpb_open(1,1);
  pip.width = 1000;
  pip.period = 2000;
  vpb_set_pip(&pip);

  vpb_pip_on(h);

  printf("Press return to finish....\n");
  while(!kbhit());

  vpb_pip_off(h);
  vpb_close(h);

  return 0;
}

